package universal.exception;

//
// Exception definition : NotUserException
//
// @author OpenORB Compiler
//
import universal.exception.*;
public final class NotUserException extends org.omg.CORBA.UserException
{
	//
	// Exception member errorcode
	//
	public int errorcode;

	//
	// Exception member reason
	//
	public String reason;

	//
	// Default constructor
	//
	public NotUserException()
	{
		super( universal.exception.NotUserExceptionHelper.id() );
		reason="";
	}

	//
	// Constructor with fields initialization
	// @param	errorcode	errorcode exception member
	// @param	reason	reason exception member
	//
	public NotUserException( int errorcode, String reason )
	{
		super( universal.exception.NotUserExceptionHelper.id() );
		this.errorcode = errorcode;
		this.reason = reason;
	}

	//
	// Full constructor with fields initialization
	// @param	errorcode	errorcode exception member
	// @param	reason	reason exception member
	//
	public NotUserException( String orb_reason, int errorcode, String reason )
	{
		super( NotUserExceptionHelper.id() +" " +  orb_reason );
		this.errorcode = errorcode;
		this.reason = reason;
	}

}
