package universal.exception;

//
// Helper class for : NotUserException
//
// @author OpenORB Compiler
//
public class NotUserExceptionHelper
{
	private static final boolean HAS_OPENORB;
	static {
		boolean hasOpenORB = false;
		try {
			Class.forName("org.openorb.CORBA.Any");
			hasOpenORB = true;
		}
		catch(ClassNotFoundException ex) {
		}
		HAS_OPENORB = hasOpenORB;
	}
	//
	// Insert NotUserException into an any
	// @param	a an any
	// @param	t NotUserException value
	//
	public static void insert( org.omg.CORBA.Any a, universal.exception.NotUserException t )
	{
		a.insert_Streamable( new universal.exception.NotUserExceptionHolder( t ));
	}

	//
	// Extract NotUserException from an any
	// @param	a an any
	// @return the extracted NotUserException value
	//
	public static universal.exception.NotUserException extract( org.omg.CORBA.Any a )
	{
		if ( !a.type().equal( type() ) )
			throw new org.omg.CORBA.MARSHAL();
		if(HAS_OPENORB && a instanceof org.openorb.CORBA.Any) {
			// streamable extraction. The jdk stubs incorrectly define the Any stub
			org.openorb.CORBA.Any any = (org.openorb.CORBA.Any)a;
			try {
				org.omg.CORBA.portable.Streamable s = any.extract_Streamable();
				if(s instanceof universal.exception.NotUserExceptionHolder)
					return ((universal.exception.NotUserExceptionHolder)s).value;
			}
			catch ( org.omg.CORBA.BAD_INV_ORDER ex ) {}
			universal.exception.NotUserExceptionHolder h = new universal.exception.NotUserExceptionHolder(read(a.create_input_stream()));
			a.insert_Streamable(h);
			return h.value;
		}
		return read(a.create_input_stream());
	}

	//
	// Internal TypeCode value
	//
	private static org.omg.CORBA.TypeCode _tc = null;
	private static boolean _working = false;

	//
	// Return the NotUserException TypeCode
	// @return a TypeCode
	//
	public static org.omg.CORBA.TypeCode type()
	{
		if ( _tc == null ) {
			synchronized(org.omg.CORBA.TypeCode.class) {
				if ( _tc != null )
					return _tc;
				if ( _working )
					return org.omg.CORBA.ORB.init().create_recursive_tc( id() );
				_working = true;
				org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
				org.omg.CORBA.StructMember []_members = new org.omg.CORBA.StructMember[2];

				_members[0] = new org.omg.CORBA.StructMember();
				_members[0].name = "errorcode";
				_members[0].type = orb.get_primitive_tc(org.omg.CORBA.TCKind.tk_long);
				_members[1] = new org.omg.CORBA.StructMember();
				_members[1].name = "reason";
				_members[1].type = orb.get_primitive_tc( org.omg.CORBA.TCKind.tk_string );
				_tc = orb.create_exception_tc(id(),"NotUserException",_members);
				_working = false;
			}
		}
		return _tc;
	}

	//
	// Return the NotUserException IDL ID
	// @return an ID
	//
	public static String id()
	{
		return _id;
	}

	private final static String _id = "IDL:universal/exception/NotUserException";

	//
	// Read NotUserException from a marshalled stream
	// @param	istream the input stream
	// @return the readed NotUserException value
	//
	public static universal.exception.NotUserException read( org.omg.CORBA.portable.InputStream istream )
	{
		universal.exception.NotUserException new_one = new universal.exception.NotUserException();

		if ( !istream.read_string().equals( id() ) )
			throw new org.omg.CORBA.MARSHAL();
		new_one.errorcode = istream.read_long();
		new_one.reason = istream.read_string();

		return new_one;
	}

	//
	// Write NotUserException into a marshalled stream
	// @param	ostream the output stream
	// @param	value NotUserException value
	//
	public static void write( org.omg.CORBA.portable.OutputStream ostream,universal.exception.NotUserException value )
	{
		ostream.write_string( id() );
		ostream.write_long(value.errorcode);
		ostream.write_string(value.reason);
	}

}
